<?php
 
 
 

namespace PhpWA\Protocol\Proto\TemplateButton;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class QuickReplyButton extends \Google\Protobuf\Internal\Message
{
    


    protected $displayText = null;
    


    protected $id = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDisplayText()
    {
        return $this->displayText;
    }

    public function hasDisplayText()
    {
        return isset($this->displayText);
    }

    public function clearDisplayText()
    {
        unset($this->displayText);
    }

    




    public function setDisplayText($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\HighlyStructuredMessage::class);
        $this->displayText = $var;

        return $this;
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : '';
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkString($var, True);
        $this->id = $var;

        return $this;
    }

}

